Bug 740044 - ipython-gui incorrectly requires the wrong PyQt version
Summary: ipython-gui incorrectly requires the wrong PyQt version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipython
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 19:13 UTC by Michel Alexandre Salim
Modified: 2013-01-10 10:55 UTC (History)
3 users (show)

Fixed In Version: ipython-0.11-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-05 17:37:30 UTC


Attachments (Terms of Use)
patchfor ipython.spec to fix incorrect -gui dependency (1010 bytes, patch)
2011-09-20 19:13 UTC, Michel Alexandre Salim
no flags Details | Diff

Description Michel Alexandre Salim 2011-09-20 19:13:31 UTC
Created attachment 524086 [details]
patchfor ipython.spec to fix incorrect -gui dependency

Description of problem:
"ipython qtconsole" uses the Python bindings for Qt4 (PyQt4) but the -gui subpackage requires PyQt, which is the Qt3 bindings

Version-Release number of selected component (if applicable):
ipython-gui

How reproducible:
Always

Steps to Reproduce:
1. yum install ipython-gui
2. note that PyQt and qt3 are pulled in
3. rpm -e --nodeps PyQt qt3
4. Try running "ipython qtconsole"
  
Actual results:
If PyQt is an actual dependency then (4) should fail, but it works as long as PyQt4 is installed

Expected results:


Additional info:
I've tested a slightly modified spec with the proper Requires: change; let me know if I can just commit it or you want to make other changes.

Comment 1 Thomas Spura 2011-09-21 08:36:55 UTC
(In reply to comment #0)
> I've tested a slightly modified spec with the proper Requires: change; let me
> know if I can just commit it or you want to make other changes.

Feel free to do so and push an update for f16 :)

Thanks for noticing this!

Comment 2 Fedora Update System 2011-09-21 10:30:28 UTC
ipython-0.11-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ipython-0.11-2.fc16

Comment 3 Fedora Update System 2011-09-21 22:13:02 UTC
Package ipython-0.11-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ipython-0.11-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ipython-0.11-2.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-05 17:37:25 UTC
ipython-0.11-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.